pam_passwdqc installation fails on CentOS 7.1 #102

Closed
chris-rock opened this Issue Nov 29, 2015 · 3 comments

Comments

Projects
None yet
3 participants
@chris-rock
Member

chris-rock commented Nov 29, 2015

* No candidate version available for pam_passwdqc
           ================================================================================
           Error executing action `install` on resource 'yum_package[pam-passwdqc]'
           ================================================================================

           Chef::Exceptions::Package
           -------------------------
           No candidate version available for pam_passwdqc

           Resource Declaration:
           ---------------------
           # In /tmp/kitchen/cookbooks/os-hardening/recipes/pam.rb

           111:     package 'pam-passwdqc' do
           112:       package_name node['packages']['pam_passwdqc']
           113:     end
           114: 

           Compiled Resource:
           ------------------
           # Declared in /tmp/kitchen/cookbooks/os-hardening/recipes/pam.rb:111:in `from_file'

           yum_package("pam-passwdqc") do
             action [:install]
             retries 0
             retry_delay 2
             default_guard_interpreter :default
             package_name "pam_passwdqc"
             flush_cache {:before=>false, :after=>false}
             declared_type :package
             cookbook_name :"os-hardening"
             recipe_name "pam"
           end
@boldandbusted

This comment has been minimized.

Show comment
Hide comment
@boldandbusted

boldandbusted Jan 21, 2016

Contributor

Has this been applied? :) We're getting bit by this, sadly.

Contributor

boldandbusted commented Jan 21, 2016

Has this been applied? :) We're getting bit by this, sadly.

@virtadpt

This comment has been minimized.

Show comment
Hide comment
@virtadpt

virtadpt Jan 21, 2016

We just got caught by it here, too. It seems like a pretty straightforward fix, just make a conditional for RHEL/CentOS 7 that replaces it with the pam_pwquality package.

We just got caught by it here, too. It seems like a pretty straightforward fix, just make a conditional for RHEL/CentOS 7 that replaces it with the pam_pwquality package.

@chris-rock

This comment has been minimized.

Show comment
Hide comment
@chris-rock

chris-rock Jan 21, 2016

Member

@virtadpt & @boldandbusted please go ahead and open a PR to fix this

Member

chris-rock commented Jan 21, 2016

@virtadpt & @boldandbusted please go ahead and open a PR to fix this

@chris-rock chris-rock closed this in #111 Apr 29, 2016

rollbrettler pushed a commit to rollbrettler/chef-os-hardening that referenced this issue Sep 16, 2016

Merge pull request #102 from linaksa/master
Configurable PasswordAuthentication
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment